summaryrefslogtreecommitdiff
path: root/nss/lib/freebl/mpi/all-tests
diff options
context:
space:
mode:
authorLorry Tar Creator <lorry-tar-importer@lorry>2015-11-09 05:12:59 +0000
committerLorry Tar Creator <lorry-tar-importer@lorry>2015-11-09 05:12:59 +0000
commit26c046fbc57d53136b4fb3b5e0d18298318125d4 (patch)
tree0397d2184e7fba8a51f7fb9a6fc01a82d0748411 /nss/lib/freebl/mpi/all-tests
parentc416b91e36567df4ec765a495c5a6ca6a1853f58 (diff)
downloadnss-26c046fbc57d53136b4fb3b5e0d18298318125d4.tar.gz
nss-3.21nss-3.21
Diffstat (limited to 'nss/lib/freebl/mpi/all-tests')
-rwxr-xr-xnss/lib/freebl/mpi/all-tests83
1 files changed, 83 insertions, 0 deletions
diff --git a/nss/lib/freebl/mpi/all-tests b/nss/lib/freebl/mpi/all-tests
new file mode 100755
index 0000000..3429a15
--- /dev/null
+++ b/nss/lib/freebl/mpi/all-tests
@@ -0,0 +1,83 @@
+#!/bin/sh
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+ECHO=/bin/echo
+MAKE=gmake
+
+$ECHO "\n** Running unit tests for MPI library\n"
+
+# Build the mpi-test program, which comprises all the unit tests for
+# the MPI library...
+
+$ECHO "Bringing mpi-test up to date ... "
+if $MAKE mpi-test ; then
+ :
+else
+ $ECHO " "
+ $ECHO "Make failed to build mpi-test."
+ $ECHO " "
+ exit 1
+fi
+
+if [ ! -x mpi-test ] ; then
+ $ECHO " "
+ $ECHO "Cannot find 'mpi-test' program, testing cannot continue."
+ $ECHO " "
+ exit 1
+fi
+
+# Get the list of available test suites...
+tests=`./mpi-test list | awk '{print $1}'`
+errs=0
+
+# Run each test suite and check the result code of mpi-test
+for test in $tests ; do
+ $ECHO "$test ... \c"
+ if ./mpi-test $test ; then
+ $ECHO "passed"
+ else
+ $ECHO "FAILED"
+ errs=1
+ fi
+done
+
+# If any tests failed, we'll stop at this point
+if [ "$errs" = "0" ] ; then
+ $ECHO "All unit tests passed"
+else
+ $ECHO "One or more tests failed"
+ exit 1
+fi
+
+# Now try to build the 'pi' program, and see if it can compute the
+# first thousand digits of pi correctly
+$ECHO "\n** Running other tests\n"
+
+$ECHO "Bringing 'pi' up to date ... "
+if $MAKE pi ; then
+ :
+else
+ $ECHO "\nMake failed to build pi.\n"
+ exit 1
+fi
+
+if [ ! -x pi ] ; then
+ $ECHO "\nCannot find 'pi' program; testing cannot continue.\n"
+ exit 1
+fi
+
+./pi 2000 > /tmp/pi.tmp.$$
+if cmp tests/pi2k.txt /tmp/pi.tmp.$$ ; then
+ $ECHO "Okay! The pi test passes."
+else
+ $ECHO "Oops! The pi test failed. :("
+ exit 1
+fi
+
+rm -f /tmp/pi.tmp.$$
+
+exit 0
+
+# Here there be dragons